<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CommitUpdate Method (IEdmBatchUpdate2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchUpdate2 Interface : CommitUpdate Method (IEdmBatchUpdate2)

Visual Basic
C#
C++/CLI

ppoRetErrors
  Array of EdmBatchError2 structures; one structure for each non-critical error that occurred during the update

poCallback
  Optional pointer to a class that implements IEdmCallback to get more information during the operation

Commits all of the file and folder card variable updates in this batch.

# Syntax

Visual Basic |
--- | ---

    Function CommitUpdate( _
       ByRef ppoRetErrors() As EdmBatchError2, _
       Optional ByVal poCallback As EdmCallback _
    ) As System.Integer

C# |
--- | ---

    System.int CommitUpdate(
       out EdmBatchError2[] ppoRetErrors,
       EdmCallback poCallback
    )

C++/CLI |
--- | ---

    System.int CommitUpdate(
    &   [Out] array<EdmBatchError2>^ ppoRetErrors,
    &   EdmCallback^ poCallback
    )

#### Parameters

ppoRetErrors
  Array of EdmBatchError2 structures; one structure for each non-critical error that occurred during the update
poCallback
  Optional pointer to a class that implements IEdmCallback to get more information during the operation

#### Return Value

Size of ppoRetErrors array; 0 if no errors

# Example

See the IEdmBatchUpdate2 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchUpdate2 Interface
IEdmBatchUpdate2 Members

# Availability

SOLIDWORKS PDM Professional Version 6.3